Skip to content
Start here

Activate a browser target.

browser_rendering.devtools.browser.targets.activate(strtarget_id, TargetActivateParams**kwargs) -> TargetActivateResponse
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/activate/{target_id}

Activates (brings to front) a specific browser target by its ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
account_id: str

Account ID.

session_id: str

Browser session ID.

formatuuid
target_id: str

Target ID to activate.

ReturnsExpand Collapse
class TargetActivateResponse:
message: str

Target activated.

Activate a browser target.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.browser_rendering.devtools.browser.targets.activate(
    target_id="target_id",
    account_id="account_id",
    session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.message)
{
  "message": "message"
}
Returns Examples
{
  "message": "message"
}